%define kernel %(uname -r)
%define kernel_abbrev %(uname -r | sed -e s/-/./g | cut -d. -f1,2,3,4)

Name:        intel-mic-kmod
BuildRoot:   %{_topdir}/BUILDROOT
Version:     2.1.5889
%{!?dist: %define dist .%{_vendor}}
Release:     14.%{kernel_abbrev}%{?dist}
Source0:     intel-mic-kmod-2.1.5889.tar.bz2
Patch1:	     intel-mic-mpss21up1-kmod-2.1.4982.patch
Summary:     Intel® Xeon Phi™ product family
Group:       System Environment/Kernel
License:     GPLv2
URL:         http://www.intel.com
Vendor:      Intel Corporation
Requires:    intel-mic-flash
#BuildRequires: kernel-default-devel
Obsoletes:   %{name} < %{version}-14 intel-mic-knc-kmod
Conflicts:   intel-mic-knf-kmod
Autoreq: 0

%define builddir %(readlink -f /lib/modules/%{kernel}/build)
%define debug_package %{nil}


%description
Provides kernel and firmware for Intel® Xeon Phi™ coprocessor based platforms

Card architecture:  Intel® Xeon Phi™ coprocessor instruction set architecture
Build number:       5889
Mpss sha-1:         b8811401450ef0f0f3e6e564963fc44c9363926a

- Kernel module        version 5889-14

%prep
%setup -q -c -T -a 0
%patch1 -p1

%build
make

%install
make DESTDIR=%{buildroot} install
rm -f %{buildroot}/lib/modules/%{kernel}/modules.*

%post
/sbin/depmod -a %{kernel}

%postun
/sbin/depmod -a %{kernel}

%files
%defattr (-,root,root)
/etc/udev/rules.d/50-udev-scif.rules
/lib/modules/%{kernel}/extra/mic.ko
%{builddir}/Module.symvers.mic
%{builddir}/include/scif.h


%changelog
